<?php
add_action( 'widgets_init', 'ci_widgets_init' );
if ( !function_exists('ci_widgets_init') ) :
	function ci_widgets_init() {

		register_sidebar( array(
			'name'          => __( 'Blog Sidebar', 'ci_theme' ),
			'id'            => 'blog-sidebar',
			'description'   => __( 'Widgets placed in this sidebar will appear in the blog pages.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Pages Sidebar', 'ci_theme' ),
			'id'            => 'page-sidebar',
			'description'   => __( 'Widgets placed in this sidebar will appear in the static pages.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Header Social Icons', 'ci_theme' ),
			'id'            => 'socials-sidebar',
			'description'   => sprintf( __( 'This widget area is reserved for the Socials Ignited plugin (displays social networks). You need to download the Socials Ignited plugin from %s', 'ci_theme' ), 'https://wordpress.org/extend/plugins/socials-ignited/' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Homepage', 'ci_theme' ),
			'id'            => 'frontpage-widgets',
			'description'   => __( 'Widget area under the homepage slideshow.', 'ci_theme' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s group section-category"><div class="row"><div class="col-md-10 col-md-offset-1">',
			'after_widget'  => '</div></div></section>',
			'before_title'  => '<h2 class="section-title">',
			'after_title'   => '</h2>'
		) );

		register_sidebar( array(
			'name'          => __( 'Footer Left', 'ci_theme' ),
			'id'            => 'footer-left',
			'description'   => __( 'Widgets placed in this sidebar will appear in the left side of the footer.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Footer Middle', 'ci_theme' ),
			'id'            => 'footer-middle',
			'description'   => __( 'Widgets placed in this sidebar will appear in the middle of the footer.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Footer Right', 'ci_theme' ),
			'id'            => 'footer-right',
			'description'   => __( 'Widgets placed in this sidebar will appear in the right side of the footer.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

	}
endif;
?>