<?php global $ci, $ci_defaults, $load_defaults, $content_width; ?>
<?php if ($load_defaults===TRUE): ?>
<?php
	add_filter('ci_panel_tabs', 'ci_add_tab_titles_options', 50);
	if( !function_exists('ci_add_tab_titles_options') ):
		function ci_add_tab_titles_options($tabs)
		{
			$tabs[sanitize_key(basename(__FILE__, '.php'))] = __('Section titles', 'ci_theme');
			return $tabs;
		}
	endif;

	// Default values for options go here.
	// $ci_defaults['option_name'] = 'default_value';
	// or
	// load_panel_snippet( 'snippet_name' );
	$ci_defaults['title_blog']           = _x( 'From the blog', 'section title', 'ci_theme' );
	$ci_defaults['icon_blog']            = 'fa-newspaper-o';
	$ci_defaults['related_posts_enable'] = 'on';
	$ci_defaults['related_posts_text']   = __( 'Related Articles', 'ci_theme' );

?>
<?php else: ?>

	<fieldset class="set">
		<legend><?php _e( 'Blog', 'ci_theme' ); ?></legend>
		<p class="guide">
			<?php _e( 'Set the title and icon for the blog section of your website. This title appears on top of listing pages.', 'ci_theme' ); ?>
			<?php echo sprintf( __( 'Icon codes can be found <a target="_blank" href="%s">here</a>. Type them exactly as they are shown (with <strong>fa-</strong> in front), e.g. <strong>fa-rocket</strong>.', 'ci_theme' ), 'http://fontawesome.io/icons/' ); ?>
		</p>
		<?php
			ci_panel_input( 'title_blog', __( 'Blog section title:', 'ci_theme' ) );
			ci_panel_input( 'icon_blog', __( 'Blog section icon:', 'ci_theme' ) );
		?>
	</fieldset>

	<fieldset class="set">
		<legend><?php _e( 'Related posts', 'ci_theme' ); ?></legend>
		<p class="guide"><?php _e( 'You can show / hide the related posts section that appear beneath blog posts.', 'ci_theme' ); ?></p>
		<fieldset class="mb10">
			<?php
				ci_panel_checkbox( 'related_posts_enable', 'on', __( 'Show related posts.', 'ci_theme' ) );
				ci_panel_input( 'related_posts_text', __( 'Related posts title:', 'ci_theme' ) );
			?>
		</fieldset>
	</fieldset>

<?php endif; ?>