<?php
add_filter( 'ci_footer_credits', 'ci_theme_footer_credits' );
if ( ! function_exists( 'ci_theme_footer_credits' ) ):
function ci_theme_footer_credits( $string ) {

	if ( ! CI_WHITELABEL ) {
		return sprintf( __( '<a href="%s">Powered by WordPress</a> - A theme by <a href="%s">CSSIgniter.com</a>', 'ci_theme' ),
			esc_url( 'https://wordpress.org' ),
			esc_url( 'http://www.cssigniter.com' )
		);
	} else {
		/* translators: %2$s is replaced by the website's name. */
		return sprintf( __( '<a href="%1$s">%2$s</a> - <a href="%3$s">Powered by WordPress</a>', 'ci_theme' ),
			esc_url( home_url() ),
			get_bloginfo( 'name' ),
			esc_url( 'https://wordpress.org' )
		);
	}

}
endif;

add_action( 'wp_ajax_ci_ajax_slider_get_thumbnail', '_ci_ajax_slider_get_thumbnail' );
if( ! function_exists( '_ci_ajax_slider_get_thumbnail' ) ):
function _ci_ajax_slider_get_thumbnail() {

	$image_id   = intval( $_POST['slider_bg_id'] );
	$image_size = 'ci_featgal_small_thumb';

	if ( !empty( $image_id ) ) {
		$image_url = ci_get_image_src( $image_id, $image_size );
		if ( !empty( $image_url ) ) {
			echo sprintf( '<img src="%s" /><a href="#" class="close media-modal-icon" title="%s"></a>',
				esc_url( $image_url ),
				esc_attr( __('Remove image', 'ci_theme') )
			);
		}
	}
	die;
}
endif;
