<?php
	$icon = '';
	$text = '';

	if ( is_home() or is_singular( 'post' ) ) {
		$text = ci_setting( 'title_blog' );
		$icon = ci_setting( 'icon_blog' );
	} elseif ( is_singular() ) {
		$text = single_post_title('', false);
	} elseif ( is_category() || is_tag() || is_tax() ) {
		$text = single_term_title( '', false );
		$term = get_queried_object();
		$icon = ci_theme_get_term_icon( $term->term_id, 'code' );
	} elseif ( is_month() ) {
		$text = single_month_title('', false);
	} elseif ( is_search() ) {
		$text = __( 'Search Results', 'ci_theme' );
		$icon = 'fa-search';
	} elseif ( is_404() ) {
		$text = __( 'Page not found (404)', 'ci_theme' );
		$icon = 'fa-sitemap';
	} else {
		$text = ci_setting( 'title_blog' );
		$icon = ci_setting( 'icon_blog' );
	}

	if( ! empty( $icon ) ) {
		$icon = sprintf( '<i class="fa %s"></i>', $icon );
	}

	/* translators: %1$s is replaced by an icon, while %2$s is replaced by text. %1$s may be empty. (E.g. <i class="fa fa-book"> Blog) */
	$output = sprintf( _x( '%1$s %2$s', 'section title', 'ci_theme' ), $icon, $text );
?>
<h2 class="section-title">
	<?php echo $output; ?>
</h2>