<?php get_header(); ?>

<main class="main">
	<div class="row">
		<div class="col-md-10 col-md-offset-1">

			<div class="row">
				<div class="col-sm-8">
					<?php get_template_part('inc_titles'); ?>

					<div class="row item-grid">

						<?php while( have_posts() ): the_post(); ?>
							<?php $rating = get_post_meta( get_the_ID(), 'rating', true ); ?>
							<div class="col-sm-6">
								<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
									<div class="item">
										<?php if( has_post_thumbnail() ): ?>
											<figure class="item-thumb">
												<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
												<?php if( ! empty( $rating ) ): ?>
													<span class="item-rating"><?php echo $rating; ?></span>
												<?php endif; ?>
											</figure>
										<?php endif; ?>

										<time class="item-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time>

										<h4 class="item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
										<?php ci_e_content(); ?>
									</div>
								</article>
							</div>
						<?php endwhile; ?>

					</div>

					<?php ci_pagination(); ?>
				</div>

				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>