jQuery(window).on("load", function() {
	"use strict";

	/* -----------------------------------------
	 FlexSlider Init
	 ----------------------------------------- */

	var backgroundSlider = jQuery('.background-slider');
	if ( backgroundSlider.length ) {
		backgroundSlider.flexslider({
			directionNav: false,
			pauseOnHover: false,
			prevText: '',
			nextText: '',
			animation: ThemeOption.background_slider_effect,
			direction: ThemeOption.background_slider_direction,
			controlNav: false
		});
	}

	var homeSlider = jQuery('.home-slider');
	if ( homeSlider.length ) {
		homeSlider.flexslider({
			directionNav: false,
			pauseOnHover: false,
			prevText: '',
			nextText: '',
			animation: ThemeOption.slider_effect,
			direction: ThemeOption.slider_direction,
			slideshow: Boolean(ThemeOption.slider_autoslide),
			slideshowSpeed: Number(ThemeOption.slider_speed),
			animationSpeed: Number(ThemeOption.slider_duration),
			sync: ".background-slider",
			start: function(slider) {
				slider.removeClass('loading');
			}
		});
	}

	jQuery(".item-grid").find("div[class^='col']").matchHeight();
	jQuery(".gallery").find(".gallery-item").matchHeight();

});

jQuery(document).ready(function($) {
	"use strict";

	/* -----------------------------------------
	 Responsive Menus Init with mmenu
	 ----------------------------------------- */
	var mainNav = $("#navigation"),
		mobileNav = $("#mobilemenu");
	mainNav.clone().removeAttr('id').removeClass().appendTo(mobileNav);
	mobileNav.find('li').removeAttr('id');

	mobileNav.mmenu({
		offCanvas: {
			position: 'top',
			zposition: 'front'
		}
	});

	/* -----------------------------------------
	 Main Navigation Init
	 ----------------------------------------- */
	$('#navigation').superfish({
		delay:       300,
		animation:   { opacity:'show', height:'show' },
		speed:       'fast',
		dropShadows: false
	});

	/* -----------------------------------------
	 Responsive Videos with fitVids
	 ----------------------------------------- */
	$('body').fitVids();

});