<?php get_header(); ?>

<?php while( have_posts() ): the_post(); ?>

	<main class="main">
		<div class="row">
			<div class="col-md-10 col-md-offset-1">
				<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
					<header class="entry-header">
						<h1 class="entry-title"><?php the_title(); ?></h1>
						<div class="entry-meta">
							<time class="entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time>
							<span class="entry-categories">
								<?php
									$categories = get_the_category_list( ' &bull; ' );
									if( ! empty( $categories ) ) {
										$categories = '&bull; ' . $categories;
									}
									echo $categories;
								?>
							</span>
						</div>
					</header>

					<?php if ( has_post_thumbnail() ): ?>
						<figure class="entry-thumb">
							<a href="<?php echo ci_get_featured_image_src( 'large' ); ?>" class="fancybox">
								<?php the_post_thumbnail( 'ci_slider' ); ?>
							</a>
						</figure>
					<?php endif; ?>

					<div class="row">
						<div class="col-sm-8">
							<div class="entry-content">
								<?php the_content(); ?>
<?php the_tags( 'Tags: ', ', ', '<br />' ); ?>
							</div>

							<?php comments_template(); ?>

						</div>

						<?php get_sidebar(); ?>
					</div>
				</article>
			</div>
		</div>
	</main>

	<?php get_template_part( 'inc_related' ); ?>

<?php endwhile; ?>

<?php get_footer(); ?>